import React from 'react';
import { Icon, IconProps } from '../Icon';


export const IconComponent = (props: IconProps) => {
    return <Icon  id="IconComponent" {...props}>
        <path fillRule="evenodd" clipRule="evenodd" d="M6.25065 2.49967C4.17958 2.49967 2.50065 4.17861 2.50065 6.24967C2.50065 7.35965 2.98305 8.35795 3.75065 9.04502V6.24967C3.75065 4.86898 4.86996 3.74967 6.25065 3.74967C7.63135 3.74967 8.75065 4.86898 8.75065 6.24967V9.04503C9.51826 8.35796 10.0007 7.35966 10.0007 6.24967C10.0007 4.17861 8.32171 2.49967 6.25065 2.49967ZM8.75065 11.0559C10.4829 10.1531 11.6673 8.34056 11.6673 6.24967C11.6673 3.25813 9.24218 0.833008 6.25065 0.833008C3.25911 0.833008 0.833984 3.25813 0.833984 6.24967C0.833984 8.34057 2.0184 10.1531 3.75065 11.0559V18.333C3.75065 18.7932 4.12375 19.1663 4.58398 19.1663C5.04422 19.1663 5.41732 18.7932 5.41732 18.333V10.54C5.41762 10.5271 5.41761 10.5143 5.41732 10.5015V6.24967C5.41732 5.78945 5.79043 5.41634 6.25065 5.41634C6.71087 5.41634 7.08398 5.78945 7.08398 6.24967V10.5015C7.08369 10.5143 7.08369 10.5271 7.08398 10.54V14.583C7.08398 14.975 7.35722 15.314 7.74029 15.3973L16.6673 17.338V18.333C16.6673 18.7932 17.0404 19.1663 17.5007 19.1663C17.9609 19.1663 18.334 18.7932 18.334 18.333V16.6663C18.334 16.2743 18.0607 15.9353 17.6777 15.852L8.75065 13.9114V11.0559Z" />
    </Icon>;
};

export default IconComponent;
